#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
  instance.ipAddress: 192.168.0.185   # 指定此实例的ip
  #instance.ipAddress: 192.168.41.150   # 指定此实例的ip

spring:
  application:
    #name: upcloud-base-gsp
    name: upcloud-base-gsp
  #redis配置
  redis:
    host: 192.168.1.17:6379
    port: 6379
    password: prolog-redis-0212
    database: 0
  #链路跟踪
  zipkin:
    #base-url: http://192.168.0.167:10002
    sender.type: rabbit
    rabbitmq.queue: trace #默认配置
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.1.17:5672
    port: 5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
  datasource:
    driverClassName: com.mysql.jdbc.Driver
#    TODO 数据库url
    url: jdbc:mysql://192.168.1.13:2206/cube_base_gsp?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 1 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    performance:
      enable: true
      showSql: true
    dialect: mysql
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  integration:
    token: $2a$12$PHVUZPLUswQVz0Mj.FdzmeF5lC.eqQEGOtA8CN8OzpH7XC8Mf3ste
    sendDeviceId: 303
    sendWmsId: 304
    updateDeviceId: 305
    updateDeviceOkId: 306
    
logging:
  config: classpath:log4j2-dev.xml
  level.root: debug